Skip to main content

UpdateUserLanguageByPlayerID

Update contact language according to PlayerID.

POST /api/v4/userinfo/update_user_language_by_player_id

Request parameters

For more information on the query parameters, see Query parameters.

AttributeData typeRemarksDescription
player_idstringrequiredBusiness-defined unique player ID (up to 20 numeric characters)
modify_tsbigintrequiredTimestamp of last update (in milliseconds)
languagestringrequiredLanguage code, see language_code from Language information
If the parameter is unknown or empty, the existing value will not be overwritten

Request sample

curl --request POST "https://openapi.smartlink.intlgame.com/api/v4/userinfo/update_user_language_by_player_id?gameid=${GAME_ID}&seq=${YOUR_RANDOM_STRING}&sig=${SIGNATURE}&ts=${TS}" \
--header 'Content-Type: application/json' \
--data-raw '{
"player_id": "1012156612344364",
"modify_ts": 1691225447577,
"language": "en"
}'

Response parameters

AttributeData typeDescription
codeintReturn code
msgstringReturn message

Response sample

{
"code": 0,
"msg": "Success",
"seq": "{YOUR_RANDOM_STRING}"
}